Name: 		gstreamer-ffmpeg
Version: 	0.8.5
Release:	1	
Summary: 	GStreamer Streaming-media framework plug-in using FFmpeg.

Group: 		Libraries/Multimedia
License: 	LGPL
URL:		http://gstreamer.net/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source:		http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg/gst-ffmpeg-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define		gst_majorminor 	0.8

Prereq:		%{_bindir}/gst-register-%{gst_majorminor}
Requires: 	gstreamer >= 0.7.5
Requires:	gstreamer-tools >= 0.7.5
BuildRequires: 	gstreamer-devel >= 0.7.5

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most popular
multimedia formats.

%prep
%setup -q -n gst-ffmpeg-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/gst-register-%{gst_majorminor} > /dev/null 2> /dev/null

%postun
%{_bindir}/gst-register-%{gst_majorminor} > /dev/null 2> /dev/null

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_libdir}/gstreamer-%{gst_majorminor}/libgstffmpeg.so

%changelog
* Wed Oct 05 2004 Christian Schaller <christian at fluendo dot com>
- Update SPEC file to fit the times

* Sat Feb 14 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Clean up spec file

* Wed Jan 21 2004 Christian Schaller <Uraeus@gnome.org>
- First version of spec
